# SPDX-FileCopyrightText: 2023 Helmut Pozimski <helmut@pozimski.eu>
#
# SPDX-License-Identifier: GPL-2.0-only

# -*- coding: utf8 -*-

class ApacheVhostEntry:
    def __init__(self, main_domain: str, cert_path: str, key_path: str, domains: set):
        self._main_domain = main_domain
        self._cert_path = cert_path
        self._key_path = key_path
        self._domains = domains

    def get_main_domain(self) -> str:
        return self._main_domain

    def get_cert_path(self) -> str:
        return self._cert_path

    def get_key_path(self) -> str:
        return self._key_path

    def get_domains(self) -> set:
        return self._domains
